# H1 2016

These reflect the current plans of Relay Team as of the [14 March 2016 Sync](https://github.com/facebook/relay/blob/master/meta/meeting-notes/2016-03-14-team-sync.md). For the latest information as plans evolve, see the [Meeting Notes](https://github.com/facebook/relay/blob/master/meta/meeting-notes).

## Themes

* Mobile First: support React Native product teams at Facebook.
* Performance
* Simplicity with predictable degrees of correctness.
  * Balancing product sophistication vs speed of iteration on Relay core.
* Provide low-level primitives so that product teams and OSS users can build tooling in user space (as they can with React).
* Reduce support costs:
  * Identify and address common types of issues.
  * Simplify the API and improve documentation to help developers understand the framework better.

## Current Projects


* Improve mutations.
* Persisted queries.
* RelayConnection API.
* Unified response handling (GraphMode).
* Simpler/faster core ([#559](https://github.com/facebook/relay/issues/559), also ideas in [Potential Projects](https://github.com/facebook/relay/blob/master/meta/roadmaps/2016-H1.md#potential-projects)).

## Potential Projects

* Split Relay core and react-relay; core provides basic primitives to build tools in userspace. ([#559](https://github.com/facebook/relay/issues/559))
* Investigate "persisted"/native cache readers (read from cache in native code).
* Reduce memory usage (improve garbage collection or rethink).
* Potential improved integration with React.
* Support TTL or some other cache expiration policy.
* Local schema and/or Redux integration.
* ...and other [issues tagged as enhancements](https://github.com/facebook/relay/issues?q=is%3Aissue+is%3Aopen+label%3Aenhancement).
